Rails command

Hi experts,

right now i’ve rails version 1.2.6 and 2.0.1 but when i try to give
command rails “projectname” it says like this /usr/local/lib/site_ruby/
1.8/rubygems.rb:377:in report_activate_error': RubyGem version error: actionpack(1.11.0 not = 2.0.2) (Gem::LoadError) from /usr/local/lib/site_ruby/1.8/rubygems.rb:309:inactivate’
from /usr/local/lib/site_ruby/1.8/rubygems.rb:335:in
activate' from /usr/local/lib/site_ruby/1.8/rubygems.rb:334:ineach’
from /usr/local/lib/site_ruby/1.8/rubygems.rb:334:in
activate' from /usr/local/lib/site_ruby/1.8/rubygems.rb:76:inactive_gem_with_options’
from /usr/local/lib/site_ruby/1.8/rubygems.rb:50:in `gem’
from /home/mbala/.gems/bin/rails:18

plz give me suggestions guys

regards,
Bala

and plz tell me guys how to create my rails application in 1.2.6
version?

Bala wrote:

Hi experts,

right now i’ve rails version 1.2.6 and 2.0.1 but when i try to give
command rails “projectname” it says like this /usr/local/lib/site_ruby/
1.8/rubygems.rb:377:in report_activate_error': RubyGem version error: actionpack(1.11.0 not = 2.0.2) (Gem::LoadError) from /usr/local/lib/site_ruby/1.8/rubygems.rb:309:inactivate’
from /usr/local/lib/site_ruby/1.8/rubygems.rb:335:in
activate' from /usr/local/lib/site_ruby/1.8/rubygems.rb:334:ineach’
from /usr/local/lib/site_ruby/1.8/rubygems.rb:334:in
activate' from /usr/local/lib/site_ruby/1.8/rubygems.rb:76:inactive_gem_with_options’
from /usr/local/lib/site_ruby/1.8/rubygems.rb:50:in `gem’
from /home/mbala/.gems/bin/rails:18

plz give me suggestions guys

regards,
Bala

well, the error says “RubyGem version error: actionpack(1.11.0 not =
2.0.2”
which means you have the wrong gems. try reinstalling rails

sudo gem install rails --include-dependencies
or go through and install each one separate if you want.
gem install actionpack ect. Then try it.

HTH
~Jeremy

On Dec 20, 2007 11:41 AM, Bala [email protected] wrote:

and plz tell me guys how to create my rails application in 1.2.6
version?

rails 1.2.6 projectname


Rick DeNatale

My blog on Ruby
http://talklikeaduck.denhaven2.com/

Thanks a lot Guys, now it works.

Thanks Jeremy & Rick

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs